Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.templates
Class ElemExtensionCall

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.UnImplNode
            |
            +--weblogic.apache.xalan.templates.ElemTemplateElement
                  |
                  +--weblogic.apache.xalan.templates.ElemUse
                        |
                        +--weblogic.apache.xalan.templates.ElemLiteralResult
                              |
                              +--weblogic.apache.xalan.templates.ElemExtensionCall

public class ElemExtensionCall
extends ElemLiteralResult

Implement an extension element.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  extension-element in XSLT Specification, Serialized Form

Fields inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`m_docOrderNumber, m_hasVariableDecl, m_parentNode`

Constructor Summary
`ElemExtensionCall()`

Method Summary
`void` | `compose(StylesheetRoot sroot)` This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.
`void` | `execute(TransformerImpl transformer)` Execute an extension.
`void` | `executeFallbacks(TransformerImpl transformer)` Execute the fallbacks when an extension is not available.
`java.lang.String` | `getAttribute(java.lang.String rawName)` Return the raw value of the attribute.
`java.lang.String` | `getAttribute(java.lang.String rawName, org.w3c.dom.Node sourceNode, TransformerImpl transformer)` Return the value of the attribute interpreted as an Attribute Value Template (in other words, you can use curly expressions such as href="http://{website}".
`int` | `getXSLToken()` Get an int constant identifying the type of element.

Methods inherited from class weblogic.apache.xalan.templates.ElemLiteralResult
`addLiteralResultAttribute, addLiteralResultAttribute, containsExcludeResultPrefix, containsExtensionElementURI, enumerateLiteralResultAttributes, getExtensionElementPrefix, getExtensionElementPrefixCount, getIsLiteralResultAsStylesheet, getLiteralResultAttribute, getLocalName, getNamespace, getNodeName, getPrefix, getRawName, getVersion, resolvePrefixTables, setExcludeResultPrefixes, setExtensionElementPrefixes, setIsLiteralResultAsStylesheet, setLocalName, setNamespace, setRawName, setVersion, setXmlSpace`

Methods inherited from class weblogic.apache.xalan.templates.ElemUse
`applyAttrSets, getUseAttributeSets, setUseAttributeSets, setUseAttributeSets`

Methods inherited from class weblogic.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, canStripWhiteSpace, compareTo, endCompose, error, error, error, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getParentElem, getParentNode, getParentNodeElem, getPrefixes, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, hasChildNodes, hasTextLitOnly, hasVariableDecl, isCompiledTemplate, isValidNCName, item, recompose, removeChild, replaceChild, replaceChild, runtimeInit, setDOMBackPointer, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class weblogic.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getImplementation, getNamespaceURI, getNodeValue, getOwnerElement, getSpecified, getStandalone, getStrictErrorChecking, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertBefore, insertData, isSupported, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceData, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setEncoding, setNodeValue, setPrefix, setStandalone, setStrictErrorChecking, setValue, splitText, substringData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElemExtensionCall

    public ElemExtensionCall()

Method Detail

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.

  Returns:
    The token ID for this element
  Overrides:
    getXSLToken in class ElemLiteralResult
  See Also:
    `Constants`

### compose

    public void compose(StylesheetRoot sroot)
                 throws javax.xml.transform.TransformerException

  This function is called after everything else has been recomposed, and allows the template to set remaining values that may be based on some other property that depends on recomposition.

  Overrides:
    compose in class ElemLiteralResult

### executeFallbacks

    public void executeFallbacks(TransformerImpl transformer)
                          throws javax.xml.transform.TransformerException

  Execute the fallbacks when an extension is not available.

  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
    `sourceNode` - non-null reference to the current source node.
    `mode` - reference, which may be null, to the current mode.
  Throws:
    javax.xml.transform.TransformerException -

### execute

    public void execute(TransformerImpl transformer)
                 throws javax.xml.transform.TransformerException

  Execute an extension.

  Parameters:
    `transformer` - non-null reference to the the current transform-time state.
    `sourceNode` - non-null reference to the current source node.
    `mode` - reference, which may be null, to the current mode.
  Throws:
    javax.xml.transform.TransformerException -
  Overrides:
    execute in class ElemLiteralResult

### getAttribute

    public java.lang.String getAttribute(java.lang.String rawName)

  Return the raw value of the attribute.

  Parameters:
    `rawName` - Raw name of the attribute to get
  Returns:
    the raw value of the attribute or null if not found
  Overrides:
    getAttribute in class UnImplNode

### getAttribute

    public java.lang.String getAttribute(java.lang.String rawName,
                                         org.w3c.dom.Node sourceNode,
                                         TransformerImpl transformer)
                                  throws javax.xml.transform.TransformerException

  Return the value of the attribute interpreted as an Attribute Value Template (in other words, you can use curly expressions such as href="http://{website}".

  Parameters:
    `rawName` - Raw name of the attribute to get
    `sourceNode` - non-null reference to the current source node.
    `transformer` - non-null reference to the the current transform-time state.
  Returns:
    the value of the attribute
  Throws:
    javax.xml.transform.TransformerException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference